<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PageSettingsBlock (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PageSettingsBlock (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":9,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PageSettingsBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
               target="_top">Frames</a></li>
        <li><a href="PageSettingsBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class PageSettingsBlock" class="title">Class PageSettingsBlock</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                               title="class in org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates.RecordAggregate</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.aggregates.PageSettingsBlock</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PageSettingsBlock</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
           title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></pre>
                <div class="block">Groups the page settings records for a worksheet.<p>

                    See OOO excelfileformat.pdf sec 4.4 'Page Settings Block'</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                       title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#PageSettingsBlock--">PageSettingsBlock</a></span>()</code>
                                    <div class="block">Creates a PageSettingsBlock with default settings</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#PageSettingsBlock-org.apache.poi.hssf.model.RecordStream-">PageSettingsBlock</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#addLateHeaderFooter-org.apache.poi.hssf.record.HeaderFooterRecord-">addLateHeaderFooter</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderFooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderFooterRecord</a>&nbsp;rec)</code>
                                    <div class="block">HEADERFOOTER is new in 2007.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#addLateRecords-org.apache.poi.hssf.model.RecordStream-">addLateRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                    <div class="block">This method reads PageSettingsBlock records from the supplied
                                        RecordStream until the first
                                        non-PageSettingsBlock record is encountered.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getColumnBreaks--">getColumnBreaks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/FooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">FooterRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getFooter--">getFooter</a></span>()</code>
                                    <div class="block">Returns the FooterRecord.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/HCenterRecord.html"
                                        title="class in org.apache.poi.hssf.record">HCenterRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getHCenter--">getHCenter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getHeader--">getHeader</a></span>()</code>
                                    <div class="block">Returns the HeaderRecord.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getMargin-short-">getMargin</a></span>(short&nbsp;margin)</code>
                                    <div class="block">Gets the size of the margin in inches.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getNumColumnBreaks--">getNumColumnBreaks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getNumRowBreaks--">getNumRowBreaks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getPrintSetup--">getPrintSetup</a></span>()</code>
                                    <div class="block">Returns the PrintSetupRecord.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getRowBreaks--">getRowBreaks</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/VCenterRecord.html"
                                        title="class in org.apache.poi.hssf.record">VCenterRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#getVCenter--">getVCenter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#isColumnBroken-int-">isColumnBroken</a></span>(int&nbsp;column)</code>
                                    <div class="block">Queries if the specified column has a page break</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#isComponentRecord-int-">isComponentRecord</a></span>(int&nbsp;sid)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#isRowBroken-int-">isRowBroken</a></span>(int&nbsp;row)</code>
                                    <div class="block">Queries if the specified row has a page break</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#positionRecords-java.util.List-">positionRecords</a></span>(java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                        title="class in org.apache.poi.hssf.record">RecordBase</a>&gt;&nbsp;sheetRecords)</code>
                                    <div class="block">Some apps can define multiple HeaderFooterRecord records for a
                                        sheet.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#removeColumnBreak-int-">removeColumnBreak</a></span>(int&nbsp;column)</code>
                                    <div class="block">Removes a page break at the indicated column</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#removeRowBreak-int-">removeRowBreak</a></span>(int&nbsp;row)</code>
                                    <div class="block">Removes a page break at the indicated row</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setColumnBreak-short-short-short-">setColumnBreak</a></span>(short&nbsp;column,
                                    short&nbsp;fromRow,
                                    short&nbsp;toRow)</code>
                                    <div class="block">Sets a page break at the indicated column</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setFooter-org.apache.poi.hssf.record.FooterRecord-">setFooter</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/FooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">FooterRecord</a>&nbsp;newFooter)</code>
                                    <div class="block">Sets the FooterRecord.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setHeader-org.apache.poi.hssf.record.HeaderRecord-">setHeader</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderRecord</a>&nbsp;newHeader)</code>
                                    <div class="block">Sets the HeaderRecord.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setMargin-short-double-">setMargin</a></span>(short&nbsp;margin,
                                    double&nbsp;size)</code>
                                    <div class="block">Sets the size of the margin in inches.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setPrintSetup-org.apache.poi.hssf.record.PrintSetupRecord-">setPrintSetup</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>&nbsp;newPrintSetup)</code>
                                    <div class="block">Sets the PrintSetupRecord.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#setRowBreak-int-short-short-">setRowBreak</a></span>(int&nbsp;row,
                                    short&nbsp;fromCol,
                                    short&nbsp;toCol)</code>
                                    <div class="block">Sets a page break at the indicated row</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#shiftColumnBreaks-short-short-short-">shiftColumnBreaks</a></span>(short&nbsp;startingCol,
                                    short&nbsp;endingCol,
                                    short&nbsp;count)</code>
                                    <div class="block">Shifts the vertical page breaks for the indicated count</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#shiftRowBreaks-int-int-int-">shiftRowBreaks</a></span>(int&nbsp;startingRow,
                                    int&nbsp;endingRow,
                                    int&nbsp;count)</code>
                                    <div class="block">Shifts the horizontal page breaks for the indicated count</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>
                                    <div class="block">Visit each of the atomic BIFF records contained in this <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                        in the order
                                        that they should be written to file.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PageSettingsBlock-org.apache.poi.hssf.model.RecordStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PageSettingsBlock</h4>
                                <pre>public&nbsp;PageSettingsBlock(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</pre>
                            </li>
                        </ul>
                        <a name="PageSettingsBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PageSettingsBlock</h4>
                                <pre>public&nbsp;PageSettingsBlock()</pre>
                                <div class="block">Creates a PageSettingsBlock with default settings</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isComponentRecord-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isComponentRecord</h4>
                                <pre>public static&nbsp;boolean&nbsp;isComponentRecord(int&nbsp;sid)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sid</code> - the record sid</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the specified Record sid is one belonging to the
                                        'Page Settings Block'.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumnBreak-short-short-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumnBreak</h4>
                                <pre>public&nbsp;void&nbsp;setColumnBreak(short&nbsp;column,
                           short&nbsp;fromRow,
                           short&nbsp;toRow)</pre>
                                <div class="block">Sets a page break at the indicated column</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - the column to add page breaks to</dd>
                                    <dd><code>fromRow</code> - the starting row</dd>
                                    <dd><code>toRow</code> - the ending row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeColumnBreak-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeColumnBreak</h4>
                                <pre>public&nbsp;void&nbsp;removeColumnBreak(int&nbsp;column)</pre>
                                <div class="block">Removes a page break at the indicated column</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - the column to check for page breaks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitContainedRecords</h4>
                                <pre>public&nbsp;void&nbsp;visitContainedRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">RecordAggregate</a></code></span>
                                </div>
                                <div class="block">Visit each of the atomic BIFF records contained in this <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                    in the order
                                    that they should be written to file. Implementors may or may not return the actual
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                       title="class in org.apache.poi.hssf.record"><code>Record</code></a>s being used
                                    to manage POI's internal implementation. Callers should not
                                    assume either way, and therefore only attempt to modify those <a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record"><code>Record</code></a>s after
                                    cloning
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                                title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderRecord</a>&nbsp;getHeader()</pre>
                                <div class="block">Returns the HeaderRecord.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>HeaderRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeader-org.apache.poi.hssf.record.HeaderRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeader</h4>
                                <pre>public&nbsp;void&nbsp;setHeader(<a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderRecord</a>&nbsp;newHeader)</pre>
                                <div class="block">Sets the HeaderRecord.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newHeader</code> - The new HeaderRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooter</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/FooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">FooterRecord</a>&nbsp;getFooter()</pre>
                                <div class="block">Returns the FooterRecord.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>FooterRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFooter-org.apache.poi.hssf.record.FooterRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFooter</h4>
                                <pre>public&nbsp;void&nbsp;setFooter(<a
                                        href="../../../../../../org/apache/poi/hssf/record/FooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">FooterRecord</a>&nbsp;newFooter)</pre>
                                <div class="block">Sets the FooterRecord.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newFooter</code> - The new FooterRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPrintSetup--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPrintSetup</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>&nbsp;getPrintSetup()</pre>
                                <div class="block">Returns the PrintSetupRecord.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>PrintSetupRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPrintSetup-org.apache.poi.hssf.record.PrintSetupRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPrintSetup</h4>
                                <pre>public&nbsp;void&nbsp;setPrintSetup(<a
                                        href="../../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>&nbsp;newPrintSetup)</pre>
                                <div class="block">Sets the PrintSetupRecord.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newPrintSetup</code> - The new PrintSetupRecord for the sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMargin-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMargin</h4>
                                <pre>public&nbsp;double&nbsp;getMargin(short&nbsp;margin)</pre>
                                <div class="block">Gets the size of the margin in inches.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - which margin to get</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the size of the margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMargin-short-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMargin</h4>
                                <pre>public&nbsp;void&nbsp;setMargin(short&nbsp;margin,
                      double&nbsp;size)</pre>
                                <div class="block">Sets the size of the margin in inches.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - which margin to get</dd>
                                    <dd><code>size</code> - the size of the margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowBreak-int-short-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowBreak</h4>
                                <pre>public&nbsp;void&nbsp;setRowBreak(int&nbsp;row,
                        short&nbsp;fromCol,
                        short&nbsp;toCol)</pre>
                                <div class="block">Sets a page break at the indicated row</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row</dd>
                                    <dd><code>fromCol</code> - the starting column</dd>
                                    <dd><code>toCol</code> - the ending column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeRowBreak-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeRowBreak</h4>
                                <pre>public&nbsp;void&nbsp;removeRowBreak(int&nbsp;row)</pre>
                                <div class="block">Removes a page break at the indicated row</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRowBroken-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowBroken</h4>
                                <pre>public&nbsp;boolean&nbsp;isRowBroken(int&nbsp;row)</pre>
                                <div class="block">Queries if the specified row has a page break</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row to check for</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the specified row has a page break</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isColumnBroken-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isColumnBroken</h4>
                                <pre>public&nbsp;boolean&nbsp;isColumnBroken(int&nbsp;column)</pre>
                                <div class="block">Queries if the specified column has a page break</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - the column to check for</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the specified column has a page break</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftRowBreaks-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftRowBreaks</h4>
                                <pre>public&nbsp;void&nbsp;shiftRowBreaks(int&nbsp;startingRow,
                           int&nbsp;endingRow,
                           int&nbsp;count)</pre>
                                <div class="block">Shifts the horizontal page breaks for the indicated count</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startingRow</code> - the starting row</dd>
                                    <dd><code>endingRow</code> - the ending row</dd>
                                    <dd><code>count</code> - the number of rows to shift by</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftColumnBreaks-short-short-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftColumnBreaks</h4>
                                <pre>public&nbsp;void&nbsp;shiftColumnBreaks(short&nbsp;startingCol,
                              short&nbsp;endingCol,
                              short&nbsp;count)</pre>
                                <div class="block">Shifts the vertical page breaks for the indicated count</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startingCol</code> - the starting column</dd>
                                    <dd><code>endingCol</code> - the ending column</dd>
                                    <dd><code>count</code> - the number of columns to shift by</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowBreaks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowBreaks</h4>
                                <pre>public&nbsp;int[]&nbsp;getRowBreaks()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>all the horizontal page breaks, never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumRowBreaks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumRowBreaks</h4>
                                <pre>public&nbsp;int&nbsp;getNumRowBreaks()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of row page breaks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnBreaks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnBreaks</h4>
                                <pre>public&nbsp;int[]&nbsp;getColumnBreaks()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>all the column page breaks, never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumColumnBreaks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumColumnBreaks</h4>
                                <pre>public&nbsp;int&nbsp;getNumColumnBreaks()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of column page breaks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVCenter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVCenter</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/VCenterRecord.html"
                                        title="class in org.apache.poi.hssf.record">VCenterRecord</a>&nbsp;getVCenter()</pre>
                            </li>
                        </ul>
                        <a name="getHCenter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHCenter</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/HCenterRecord.html"
                                        title="class in org.apache.poi.hssf.record">HCenterRecord</a>&nbsp;getHCenter()</pre>
                            </li>
                        </ul>
                        <a name="addLateHeaderFooter-org.apache.poi.hssf.record.HeaderFooterRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addLateHeaderFooter</h4>
                                <pre>public&nbsp;void&nbsp;addLateHeaderFooter(<a
                                        href="../../../../../../org/apache/poi/hssf/record/HeaderFooterRecord.html"
                                        title="class in org.apache.poi.hssf.record">HeaderFooterRecord</a>&nbsp;rec)</pre>
                                <div class="block">HEADERFOOTER is new in 2007. Some apps seem to have scattered this
                                    record long after
                                    the
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                                       title="class in org.apache.poi.hssf.record.aggregates"><code>PageSettingsBlock</code></a>
                                    where it belongs.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rec</code> - the HeaderFooterRecord to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addLateRecords-org.apache.poi.hssf.model.RecordStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addLateRecords</h4>
                                <pre>public&nbsp;void&nbsp;addLateRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</pre>
                                <div class="block">This method reads PageSettingsBlock records from the supplied
                                    RecordStream until the first
                                    non-PageSettingsBlock record is encountered. As each record is read, it is
                                    incorporated
                                    into this PageSettingsBlock.<p>

                                        The latest Excel version seems to write the PageSettingsBlock uninterrupted.
                                        However there
                                        are several examples (that Excel reads OK) where these records are not written
                                        together:

                                    <ul>
                                        <li><b>HEADER_FOOTER(0x089C) after WINDOW2</b> - This record is new in 2007.
                                            Some apps
                                            seem to have scattered this record long after the PageSettingsBlock where it
                                            belongs
                                            test samples: SharedFormulaTest.xls, ex44921-21902.xls, ex42570-20305.xls
                                        </li>
                                        <li><b>PLS, WSBOOL, PageSettingsBlock</b> - WSBOOL is not a PSB record.
                                            This happens in the test sample file "NoGutsRecords.xls" and
                                            "WORKBOOK_in_capitals.xls"
                                        </li>
                                        <li><b>Margins after DIMENSION</b> - All of PSB should be before DIMENSION.
                                            (Bug-47199)
                                        </li>
                                    </ul>

                                    These were probably written by other applications (or earlier versions of Excel). It
                                    was
                                    decided to not write specific code for detecting each of these cases. POI now
                                    tolerates
                                    PageSettingsBlock records scattered all over the sheet record stream, and in any
                                    order, but
                                    does not allow duplicates of any of those records.<p>

                                        <b>Note</b> - when POI writes out this PageSettingsBlock, the records will
                                        always be written
                                        in one consolidated block (in the standard ordering) regardless of how scattered
                                        the records
                                        were when they were originally read.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rs</code> - the RecordStream to read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a href="../../../../../../org/apache/poi/util/RecordFormatException.html"
                                                 title="class in org.apache.poi.util">RecordFormatException</a></code> -
                                        if any PSB record encountered has the same type (sid) as
                                        a record that is already part of this PageSettingsBlock
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="positionRecords-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>positionRecords</h4>
                                <pre>public&nbsp;void&nbsp;positionRecords(java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                        title="class in org.apache.poi.hssf.record">RecordBase</a>&gt;&nbsp;sheetRecords)</pre>
                                <div class="block">Some apps can define multiple HeaderFooterRecord records for a sheet.
                                    When saving such a file Excel 2007 re-positions them according to the following
                                    rules:
                                    - take a HeaderFooterRecord and read 16-byte GUID at offset 12. If it is zero,
                                    it means the current sheet and the given HeaderFooterRecord belongs to this
                                    PageSettingsBlock
                                    - If GUID is not zero then search in preceding CustomViewSettingsRecordAggregates.
                                    Compare first 16 bytes of UserSViewBegin with the HeaderFooterRecord's GUID. If
                                    match,
                                    then append the HeaderFooterRecord to this CustomViewSettingsRecordAggregates
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheetRecords</code> - the list of sheet records read so far</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PageSettingsBlock.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
               target="_top">Frames</a></li>
        <li><a href="PageSettingsBlock.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
